Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGReportUtils.Report

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.BGReportUtils.Report

Enclosing class:
  BGReportUtils

    public static class BGReportUtils.Report
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.String` | `from` | Только для информации от куда тянется отчет.
  `java.lang.String` | `id` |
  `java.lang.String` | `params_class` |
  `java.lang.String` | `report_class` |
  `java.lang.String` | `report_doc_url` |
  `org.w3c.dom.Element` | `reportElement` |
  `java.lang.String` | `title` |
  `java.lang.String` | `type` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Report()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getId()` |
  `java.lang.String` | `getTitle()` |
  `java.lang.String` | `getType()` |
  `void` | `setId​(java.lang.String id)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setType​(java.lang.String type)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    public java.lang.String id

  - ### type

    public java.lang.String type

  - ### title

    public java.lang.String title

  - ### params_class

    public java.lang.String params_class

  - ### report_class

    public java.lang.String report_class

  - ### report_doc_url

    public java.lang.String report_doc_url

  - ### reportElement

    public org.w3c.dom.Element reportElement

  - ### from

    public java.lang.String from
    Только для информации от куда тянется отчет.

- ## Constructor Details

  - ### Report

    public Report()

- ## Method Details

  - ### getId

    public java.lang.String getId()

  - ### setId

    public void setId​(java.lang.String id)

  - ### getType

    public java.lang.String getType()

  - ### setType

    public void setType​(java.lang.String type)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)